unit Overview;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TOverviewForm = class(TForm)
    procedure FormShow(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen}
    IWidth,IHeight:integer;
  public
    { Public-Deklarationen}
  end;

var
  OverviewForm: TOverviewForm;

implementation

uses ScreenShot;

{$R *.DFM}

procedure TOverviewForm.FormShow(Sender: TObject);
begin
  IWidth:=ScreenShotForm.Shot.Width;
  IHeight:=ScreenShotForm.Shot.Height;
  Caption:='('+IntToStr(IWidth)+'x'+IntToStr(IHeight)+')';
  IWidth:=IWidth SHR 3;
  IHeight:=IHeight SHR 3;
  ClientWidth:=IWidth;
  ClientHeight:=IHeight;
end;

procedure TOverviewForm.FormPaint(Sender: TObject);
begin
  with Canvas,ScreenShotForm do begin
    StretchDraw(Rect(0,0,IWidth,IHeight),Shot);
    Rectangle(StartX SHR 3,StartY SHR 3,
             (StartX+OrgWidth) SHR 3,
             (StartY+OrgHeight) SHR 3);
  end;
end;

procedure TOverviewForm.FormClick(Sender: TObject);
begin
  Close;
end;

procedure TOverviewForm.FormCreate(Sender: TObject);
begin
  with Canvas do begin
    Brush.Style:=bsClear;
    with Pen do begin
      Style:=psSolid;
      Width:=3;
      Mode:=pmXor;
      Color:=clWhite;
    end;
  end;
end;

end.
